Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19

Warning: Function ereg() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 4

Warning: Function split() is deprecated in ..../includes/class_postbit.php(345) : eval()'d code on line 19
Need help installing app.
Results 1 to 2 of 2

Thread: Need help installing app.

Hybrid View

  1. #1

    Need help installing app.

    I recently downloaded Lmule and got confused during the installation...

    I'll do a play by play: Downloaded the tar.gz file and unzipped it.
    In the readme file I am told to install wxWindows 2.0.4 (pretty sure I need it, as doing a ./configure... didn't work)

    You will need wxWindows 2.4.0 and my patches to wxWindows 2.4.0. If you do not
    patch wxWindows, you will run into huge problems. Patch is also included
    in this package (docs/wx-patch).

    Applying wx-patch:
    cd wxGTK-2.4.0 (or wherever you have extracted wxWindows sources)
    patch -p0 < wx-patch

    Then compile wxWindows. GTK1 or GTK2, whatever suits you the best. GTK2 does
    not flicker so much I have used following configure parameters:
    For GTK2:
    ./configure --prefix=/usr --enable-gtk2 --enable-timedate --enable-gui --enable-protocol --enable-http --enable-ftp --enable-resources --enable-prologio --disable-debug --enable-final --enable-timer --disable-gtk --disable-profile --enable-optimise
    For GTK1:
    ./configure --prefix=/usr --disable-gtk2 --enable-timedate --enable-gui --enable-protocol --enable-http --enable-ftp --enable-resources --enable-prologio --disable-debug --enable-final --enable-timer --with-gtk --disable-profile


    but after cd into docs and typing patch -p0 < wx-patch I get this error:

    can't find file to patch at input line 28
    Perhaps you used the wrong -p or --strip option?
    The text leading up to this was:
    --------------------------
    |diff -u -r ../wxGTK-2.4.0/samples/thread/thread.cpp ./samples/thread/thread.cpp
    |--- ../wxGTK-2.4.0/samples/thread/thread.cpp 2003-01-05 13:55:40.000000000 +0200
    |+++ ./samples/thread/thread.cpp 2003-01-19 18:47:03.000000000 +0200
    --------------------------
    File to patch:

    after specifying the wx-patch as the file to patch, it creates two folders : wx-patch.orig and wx-patch.rej

    so now when I try to compile wx-windows using that long ./configure command (the one for GTK2) I get a : no such file or directory...where did I go wrong?

    sorry for the length, I'm new at this so don't want to leave anything out

    thanx a lot
    Dswissmiss




  2. #2

    Re:Need help installing app.

    Hello,
    My 1st guess is that you were in the wrong directory when you applied the patch, It should say, but if not try being in the same directory as the top level makefile. You may wish to try a patch -p1 < patch_name instead of the -p0

Similar Threads

  1. installing ftp
    By kwaslee in forum Suse
    Replies: 1
    Last Post: 02-27-2008, 09:53 AM
  2. Installing GCL on FC8
    By omidkamangar in forum Redhat / Fedora
    Replies: 1
    Last Post: 12-21-2007, 12:09 AM
  3. Installing
    By MicroTechXP in forum Windows - General Topics
    Replies: 7
    Last Post: 12-11-2006, 01:47 AM
  4. Installing GTK with apt-get
    By gmoreno in forum Linux - Software, Applications & Programming
    Replies: 2
    Last Post: 03-05-2002, 03:07 PM
  5. Installing with tar
    By papanohair in forum Linux - General Topics
    Replies: 11
    Last Post: 01-05-2002, 11:57 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •